Bug 1310347 - Alsa, Radeon R9 270X: Sound crackling when using hw or hdmi output
Alsa, Radeon R9 270X: Sound crackling when using hw or hdmi output
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 14:03 EST by haakobja
Modified: 2016-12-20 13:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:53:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci and dmesg dump (105.57 KB, text/plain)
2016-02-20 14:03 EST, haakobja
no flags Details
Very verbose lspci (35.66 KB, text/plain)
2016-02-20 14:07 EST, haakobja
no flags Details

  None (edit)
Description haakobja 2016-02-20 14:03:25 EST
Created attachment 1128840 [details]
lspci and dmesg dump

Description of problem:
I have a AMD Radeon R9 270X graphics card connected with HDMI to my surround receiver. When playing music the sound is crackling if the CPU has not got any load. If the CPU is under load, the music is fine. I know there are several reports about this around the internet, so it is not a new bug.

How reproducible: Very


Steps to Reproduce:
1. Use a Radeon R9 270X (Cape Verde/Pitcairn HDMI Audio) graphics card.
2. Let the CPU idle
3. aplay -D hw:HDMI,# test.wav
e.g aplay -D hw:HDMI,3 test.wav


Actual results:
Crackling sound output

Expected results:
Smoothly playing sounds/music.


Additional info:
A workaround is to use dmix, but I do not want to use it unless I need mixing
Comment 1 haakobja 2016-02-20 14:07 EST
Created attachment 1128841 [details]
Very verbose lspci
Comment 2 Fedora End Of Life 2016-11-24 10:40:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:53:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.